# Uses of Class
org.eclipse.emf.cdo.common.lob.CDOLob

Packages that use CDOLob
Package
Description
org.eclipse.emf.cdo.common.lob
Common concepts for dealing with large binary objects and large character objects.
org.eclipse.emf.cdo.eresource
The generated EMF API of the CDO repository file system.
org.eclipse.emf.cdo.eresource.impl
The generated EMF implementation of the CDO repository file system.
org.eclipse.emf.cdo.etypes.impl
The generated EMF implementation of the CDO system data types and native annotations.
org.eclipse.emf.cdo.etypes.util
The generated EMF utilities of the CDO system data types and native annotations.
org.eclipse.emf.cdo.transaction
Client concepts for dealing with transactions, distributed transactions and their save points.
org.eclipse.emf.cdo.util
Client utility classes, some common interfaces and exceptions.
org.eclipse.emf.spi.cdo
Client service provider interfaces and useful base implementations.

## Uses of CDOLob in org.eclipse.emf.cdo.common.lob

Subclasses of CDOLob in org.eclipse.emf.cdo.common.lob
Modifier and Type
Class
Description
`final class`
`CDOBlob`
An identifiable binary large object with streaming support.
`final class`
`CDOClob`
An identifiable character large object with streaming support.
Methods in org.eclipse.emf.cdo.common.lob with parameters of type CDOLob
Modifier and Type
Method
Description
`static void`
CDOLobUtil.`setStore(CDOLobStore store, CDOLob<?> lob)`
`static void`
CDOLobUtil.`write(org.eclipse.net4j.util.io.ExtendedDataOutput out, CDOLob<?> lob)`

## Uses of CDOLob in org.eclipse.emf.cdo.eresource

Methods in org.eclipse.emf.cdo.eresource that return CDOLob
Modifier and Type
Method
Description
`CDOLob<IO>`
CDOFileResource.`getContents()`

## Uses of CDOLob in org.eclipse.emf.cdo.eresource.impl

Methods in org.eclipse.emf.cdo.eresource.impl that return CDOLob
Modifier and Type
Method
Description
`abstract CDOLob<IO>`
CDOFileResourceImpl.`getContents()`

## Uses of CDOLob in org.eclipse.emf.cdo.etypes.impl

Methods in org.eclipse.emf.cdo.etypes.impl that return CDOLob
Modifier and Type
Method
Description
`CDOLob<?>`
EtypesFactoryImpl.`createLobFromString(EDataType eDataType, String initialValue)`

## Uses of CDOLob in org.eclipse.emf.cdo.etypes.util

Methods in org.eclipse.emf.cdo.etypes.util with parameters of type CDOLob
Modifier and Type
Method
Description
`boolean`
EtypesValidator.`validateLob(CDOLob<?> lob, DiagnosticChain diagnostics, Map<Object,Object> context)`

## Uses of CDOLob in org.eclipse.emf.cdo.transaction

Methods in org.eclipse.emf.cdo.transaction that return types with arguments of type CDOLob
Modifier and Type
Method
Description
`Collection<CDOLob<?>>`
CDOCommitContext.`getLobs()`

## Uses of CDOLob in org.eclipse.emf.cdo.util

Methods in org.eclipse.emf.cdo.util with parameters of type CDOLob
Modifier and Type
Method
Description
`static InputStream`
CDOUtil.`openInputStream(CDOLob<?> lob, String encoding)`

## Uses of CDOLob in org.eclipse.emf.spi.cdo

Method parameters in org.eclipse.emf.spi.cdo with type arguments of type CDOLob
Modifier and Type
Method
Description
`CDOSessionProtocol.CommitTransactionResult`
CDOSessionProtocol.`commitDelegation(CDOBranch branch, String userID, String comment, CDOCommitData commitData, Map<CDOID,EClass> detachedObjectTypes, Collection<CDOLob<?>> lobs, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)`
Deprecated.
`CDOSessionProtocol.CommitTransactionResult`
CDOSessionProtocol.`commitTransaction(int transactionID, String comment, boolean releaseLocks, CDOIDProvider idProvider, CDOCommitData commitData, Collection<CDOLob<?>> lobs, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)`
Deprecated.